diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/components/SelectedTexturePackListComponent.java b/game/client/src/main/java/net/minecraft/client/gui/options/components/SelectedTexturePackListComponent.java
index 3c1ae2367..e6e8922d4 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/components/SelectedTexturePackListComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/components/SelectedTexturePackListComponent.java
@@ -2,15 +2,18 @@ package net.minecraft.client.gui.options.components;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.gui.options.ScreenOptions;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.Shaders;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texturepack.TexturePack;
 import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.Global;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.sound.SoundCategory;
+import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
-import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
 import java.util.List;
@@ -36,8 +39,8 @@ public class SelectedTexturePackListComponent implements OptionsComponent {
 
     @Override
     public void tick() {
-        if (size != mc.texturePackList.selectedPacks.size()){
-            size = mc.texturePackList.selectedPacks.size();
+        if (this.size != mc.texturePackList.selectedPacks.size()) {
+            this.size = mc.texturePackList.selectedPacks.size();
             createTexturePackButtons();
         }
     }
@@ -48,58 +51,58 @@ public class SelectedTexturePackListComponent implements OptionsComponent {
     }
 
     public void createTexturePackButtons() {
-        selectedPacks.clear();
+        this.selectedPacks.clear();
 
-        TexturePackButton prevButton = new TexturePackButton(0, 3,false, mc.texturePackList.getDefaultTexturePack());
-        selectedPacks.add(prevButton);
+        TexturePackButton prevButton = new TexturePackButton(0, 3, false, mc.texturePackList.getDefaultTexturePack());
+        this.selectedPacks.add(prevButton);
 
         List<TexturePack> texturePacks = mc.texturePackList.selectedPacks;
         for (TexturePack texturePack : texturePacks) {
             prevButton = new TexturePackButton(prevButton.xPos, prevButton.yPos + (BUTTON_HEIGHT + 3), true, texturePack);
-            selectedPacks.add(prevButton);
+            this.selectedPacks.add(prevButton);
         }
     }
 
     @Override
     public int getHeight() {
-        if (selectedPacks.isEmpty()) return 20;
-        return 3 + selectedPacks.size() * (BUTTON_HEIGHT + 3);
+        if (this.selectedPacks.isEmpty()) return 20;
+        return 3 + this.selectedPacks.size() * (BUTTON_HEIGHT + 3);
     }
 
     @Override
-    public void render(int x, int y, int width, int relativeMouseX, int relativeMouseY) {
-        if (selectedPacks.isEmpty()) {
-            mc.font.renderCentered(Tessellator.instance, I18n.getInstance().translateKey("gui.options.page.asset_packs.label.no_packs"), x + width / 2, y + 4)
+    public void render(@NotNull ScreenOptions screenOptions, int x, int y, int width, int relativeMouseX, int relativeMouseY) {
+        if (this.selectedPacks.isEmpty()) {
+            mc.font.renderCentered(I18n.getInstance().translateKey("gui.options.page.asset_packs.label.no_packs"), x + width / 2, y + 4)
                 .setShadow()
                 .setColor(0x5F7F7F7F)
                 .call();
         }
-        for (TexturePackButton button : selectedPacks) {
-            if (button == draggedButton) continue;
+        for (TexturePackButton button : this.selectedPacks) {
+            if (button == this.draggedButton) continue;
             int yOff = 0;
-            if (button.draggable && draggedButton != null && relativeMouseX > 0 && relativeMouseX < width && relativeMouseY > 0 && relativeMouseY < getHeight()){
-                int shiftAmount = draggedButton.shiftAmount(relativeMouseY);
-                if (shiftAmount < 0){
-                    if (button.yPos < draggedButton.yPos && button.yPos >= draggedButton.yPos + (shiftAmount * (BUTTON_HEIGHT + 3))){
+            if (button.draggable && this.draggedButton != null && relativeMouseX > 0 && relativeMouseX < width && relativeMouseY > 0 && relativeMouseY < getHeight()) {
+                int shiftAmount = this.draggedButton.shiftAmount(relativeMouseY);
+                if (shiftAmount < 0) {
+                    if (button.yPos < this.draggedButton.yPos && button.yPos >= this.draggedButton.yPos + (shiftAmount * (BUTTON_HEIGHT + 3))) {
                         yOff += (BUTTON_HEIGHT + 3);
                     }
                 }
                 if (shiftAmount > 0) {
-                    if (button.yPos > draggedButton.yPos && button.yPos <= draggedButton.yPos + (shiftAmount * (BUTTON_HEIGHT + 3))){
+                    if (button.yPos > this.draggedButton.yPos && button.yPos <= this.draggedButton.yPos + (shiftAmount * (BUTTON_HEIGHT + 3))) {
                         yOff -= (BUTTON_HEIGHT + 3);
                     }
                 }
             }
             button.render(this, x, y + yOff, width, relativeMouseX, relativeMouseY);
         }
-        if (draggedButton != null){
-            draggedButton.render(this,x, y, width, relativeMouseX, relativeMouseY);
+        if (this.draggedButton != null) {
+            this.draggedButton.render(this, x, y, width, relativeMouseX, relativeMouseY);
         }
     }
 
     @Override
     public void onMouseClick(int mouseButton, int x, int y, int width, int relativeMouseX, int relativeMouseY) {
-        for (TexturePackButton button : selectedPacks) {
+        for (TexturePackButton button : this.selectedPacks) {
             if (button.isClickable() && button.isHovered(relativeMouseX, relativeMouseY, width)) {
                 if (button.onClick(this, mouseButton, x, y, width, relativeMouseX, relativeMouseY)) {
                     break;
@@ -109,23 +112,25 @@ public class SelectedTexturePackListComponent implements OptionsComponent {
     }
 
     @Override
-    public void onMouseMove(int x, int y, int width, int relativeMouseX, int relativeMouseY) { }
+    public void onMouseMove(int x, int y, int width, int relativeMouseX, int relativeMouseY) {
+    }
 
     @Override
     public void onMouseRelease(int mouseButton, int x, int y, int width, int relativeMouseX, int relativeMouseY) {
-        for (TexturePackButton button : selectedPacks) {
-            if (button.onRelease(this, mouseButton, x, y, width, relativeMouseX, relativeMouseY)){
+        for (TexturePackButton button : this.selectedPacks) {
+            if (button.onRelease(this, mouseButton, x, y, width, relativeMouseX, relativeMouseY)) {
                 break;
             }
         }
     }
 
     @Override
-    public void onKeyPress(int keyCode, char character) { }
+    public void onKeyPress(int keyCode, char character) {
+    }
 
     @Override
     public void onClose() {
-        draggedButton = null;
+        this.draggedButton = null;
     }
 
     @Override
@@ -134,7 +139,7 @@ public class SelectedTexturePackListComponent implements OptionsComponent {
     }
 
     private static class TexturePackButton {
-        private ButtonElement button;
+        private final ButtonElement button;
         public boolean draggable;
         public final TexturePack texturePack;
         public final int height = BUTTON_HEIGHT;
@@ -142,88 +147,97 @@ public class SelectedTexturePackListComponent implements OptionsComponent {
         public int yPos;
         private int clickX = -1;
         private int clickY = -1;
+
         public TexturePackButton(int xPos, int yPos, boolean draggable, TexturePack texturePack) {
             this.draggable = draggable;
             this.texturePack = texturePack;
             this.xPos = xPos;
             this.yPos = yPos;
-            button = new ButtonElement(0, 0, 0, 20, 20, "-");
+            this.button = new ButtonElement(0, 0, 0, 20, 20, "-");
         }
 
         public boolean isClickable() {
             return true;
         }
-        public boolean isHovered(int mouseX, int mouseY, int width){
-            if (isDragged()){
-                int dX = mouseX - clickX;
-                int dY = mouseY - clickY;
+
+        public boolean isHovered(int mouseX, int mouseY, int width) {
+            if (isDragged()) {
+                int dX = mouseX - this.clickX;
+                int dY = mouseY - this.clickY;
                 mouseX -= dX;
                 mouseY -= dY;
             }
-            return mouseX >= 0 && mouseX <= width && mouseY >= yPos && mouseY <= yPos + height;
+            return mouseX >= 0 && mouseX <= width && mouseY >= this.yPos && mouseY <= this.yPos + this.height;
         }
-        public boolean isDragged(){
-            return clickX > 0 || clickY > 0;
+
+        public boolean isDragged() {
+            return this.clickX > 0 || this.clickY > 0;
         }
-        public boolean onClick(SelectedTexturePackListComponent component, int mouseButton, int x, int y, int width, int relativeMouseX, int relativeMouseY){
+
+        public boolean onClick(SelectedTexturePackListComponent component, int mouseButton, int x, int y, int width, int relativeMouseX, int relativeMouseY) {
             setupButton(x, y, width, relativeMouseX, relativeMouseY);
-            if (texturePack != mc.texturePackList.getDefaultTexturePack()){
-                if (mouseButton == 0 && button.isHovered(x + relativeMouseX, y + relativeMouseY)){
+            if (this.texturePack != mc.texturePackList.getDefaultTexturePack()) {
+                if (mouseButton == 0 && this.button.isHovered(x + relativeMouseX, y + relativeMouseY)) {
                     unsetPack(component);
                     mc.sndManager.playSound("random.click", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
                     component.draggedButton = null;
                     return true;
                 }
-                if (mouseButton == 1){
+                if (mouseButton == 1) {
                     unsetPack(component);
                     mc.sndManager.playSound("random.click", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
                     return true;
                 }
             }
-            if (!draggable) return false;
-            clickX = relativeMouseX;
-            clickY = relativeMouseY;
+            if (!this.draggable) return false;
+            this.clickX = relativeMouseX;
+            this.clickY = relativeMouseY;
             component.draggedButton = this;
             return true;
         }
+
         public boolean onRelease(SelectedTexturePackListComponent component, int mouseButton, int x, int y, int width, int relativeMouseX, int relativeMouseY) {
-            if (isDragged()){
-                if (relativeMouseX < 0 || relativeMouseX > x + width || relativeMouseY < 0 || relativeMouseY > y + component.getHeight()){
+            if (isDragged()) {
+                if (relativeMouseX < 0 || relativeMouseX > x + width || relativeMouseY < 0 || relativeMouseY > y + component.getHeight()) {
                     unsetPack(component);
                     return true;
                 }
-                mc.texturePackList.shiftPack(texturePack, shiftAmount(relativeMouseY));
-                clickX = -1;
-                clickY = -1;
+                mc.texturePackList.shiftPack(this.texturePack, shiftAmount(relativeMouseY));
+                this.clickX = -1;
+                this.clickY = -1;
                 component.draggedButton = null;
                 component.createTexturePackButtons();
                 return true;
             }
-            clickX = -1;
-            clickY = -1;
+            this.clickX = -1;
+            this.clickY = -1;
             return false;
         }
-        public void unsetPack(SelectedTexturePackListComponent component){
-            mc.texturePackList.unsetTexturePack(texturePack);
+
+        public void unsetPack(SelectedTexturePackListComponent component) {
+            mc.texturePackList.unsetTexturePack(this.texturePack);
             component.draggedButton = null;
             component.createTexturePackButtons();
         }
-        public int draggedX(int mouseX){
-            return mouseX - clickX;
+
+        public int draggedX(int mouseX) {
+            return mouseX - this.clickX;
         }
-        public int draggedY(int mouseY){
-            return mouseY - clickY;
+
+        public int draggedY(int mouseY) {
+            return mouseY - this.clickY;
         }
-        public int shiftAmount(int mouseY){
-            return draggedY(mouseY)/BUTTON_HEIGHT;
+
+        public int shiftAmount(int mouseY) {
+            return draggedY(mouseY) / BUTTON_HEIGHT;
         }
 
         public void render(SelectedTexturePackListComponent component, int x, int y, int width, int mouseX, int mouseY) {
-            Tessellator tessellator = Tessellator.instance;
+            TessellatorGeneral tessellator = GLRenderer.getTessellator();
 
             setupButton(x, y, width, mouseX, mouseY);
 
-            if (isDragged()){
+            if (isDragged()) {
                 int dX = draggedX(mouseX);
                 int dY = draggedY(mouseY);
                 x += dX;
@@ -232,73 +246,75 @@ public class SelectedTexturePackListComponent implements OptionsComponent {
 
             if (isDragged() || isHovered(mouseX, mouseY, width) && component.draggedButton == null) {
                 // Draw background
-                GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-                GL11.glDisable(GL11.GL_TEXTURE_2D);
+                GLRenderer.pushFrame();
+                GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+                GLRenderer.setShader(Shaders.COLOR);
                 tessellator.startDrawingQuads();
 
-                tessellator.setColorOpaque_I(0x7F808080);
-                tessellator.addVertexWithUV(x + xPos - 2,           y + yPos + height + 2, 0, 0, 1);
-                tessellator.addVertexWithUV(x + xPos + width + 2,   y + yPos + height + 2, 0, 1, 1);
-                tessellator.addVertexWithUV(x + xPos + width + 2,   y + yPos - 2, 0, 1, 1);
-                tessellator.addVertexWithUV(x + xPos - 2,           y + yPos - 2, 0, 0, 0);
+                tessellator.setColorOpaque1i(0x7F808080);
+                tessellator.addVertexWithUV(x + this.xPos - 2, y + this.yPos + this.height + 2, 0, 0, 1);
+                tessellator.addVertexWithUV(x + this.xPos + width + 2, y + this.yPos + this.height + 2, 0, 1, 1);
+                tessellator.addVertexWithUV(x + this.xPos + width + 2, y + this.yPos - 2, 0, 1, 1);
+                tessellator.addVertexWithUV(x + this.xPos - 2, y + this.yPos - 2, 0, 0, 0);
 
-                tessellator.setColorOpaque_I(0);
-                tessellator.addVertexWithUV(x + xPos - 1,           y + yPos + height + 1, 0, 0, 1);
-                tessellator.addVertexWithUV(x + xPos + width + 1,   y + yPos + height + 1, 0, 1, 1);
-                tessellator.addVertexWithUV(x + xPos + width + 1,   y + yPos - 1, 0, 1, 1);
-                tessellator.addVertexWithUV(x + xPos - 1,           y + yPos - 1, 0, 0, 0);
+                tessellator.setColorOpaque1i(0);
+                tessellator.addVertexWithUV(x + this.xPos - 1, y + this.yPos + this.height + 1, 0, 0, 1);
+                tessellator.addVertexWithUV(x + this.xPos + width + 1, y + this.yPos + this.height + 1, 0, 1, 1);
+                tessellator.addVertexWithUV(x + this.xPos + width + 1, y + this.yPos - 1, 0, 1, 1);
+                tessellator.addVertexWithUV(x + this.xPos - 1, y + this.yPos - 1, 0, 0, 0);
 
                 tessellator.draw();
-                GL11.glEnable(GL11.GL_TEXTURE_2D);
+                GLRenderer.popFrame();
             }
 
             // Draw texture pack info
-            texturePack.bindThumbnailTexture(mc);
-            GL11.glColor4f(1, 1, 1, 1);
+            this.texturePack.bindThumbnailTexture(mc);
+            GLRenderer.setColor4f(1, 1, 1, 1);
 
             tessellator.startDrawingQuads();
-            tessellator.setColorOpaque_I(0xFFFFFF);
-            tessellator.addVertexWithUV(x + xPos,           y + yPos + height, 0, 0, 1);
-            tessellator.addVertexWithUV(x + xPos + height,  y + yPos + height, 0, 1, 1);
-            tessellator.addVertexWithUV(x + xPos + height,  y + yPos, 0, 1, 0);
-            tessellator.addVertexWithUV(x + xPos,           y + yPos, 0, 0, 0);
+            tessellator.setColorOpaque1i(0xFFFFFF);
+            tessellator.addVertexWithUV(x + this.xPos, y + this.yPos + this.height, 0, 0, 1);
+            tessellator.addVertexWithUV(x + this.xPos + this.height, y + this.yPos + this.height, 0, 1, 1);
+            tessellator.addVertexWithUV(x + this.xPos + this.height, y + this.yPos, 0, 1, 0);
+            tessellator.addVertexWithUV(x + this.xPos, y + this.yPos, 0, 0, 0);
             tessellator.draw();
 
             int rgbVersion = 0x808080;
-            int format = texturePack.manifest.getFormat();
+            int format = this.texturePack.manifest.getFormat();
 
-            if(format == Global.ASSET_PACK_FORMAT) {
+            if (format == Global.ASSET_PACK_FORMAT) {
                 // Correct version
-                mc.font.render(Tessellator.instance, this.texturePack.manifest.getName(), x + this.xPos + this.height + 2, y + this.yPos + 1).call();
-                mc.font.render(Tessellator.instance, this.texturePack.manifest.getDescriptionLine1(), x + this.xPos + this.height + 2, y + this.yPos + 12).setColor(0x808080).call();
-                mc.font.render(Tessellator.instance, this.texturePack.manifest.getDescriptionLine2(), x + this.xPos + this.height + 2, y + this.yPos + 22).setColor(0x808080).call();
-            }else if(format == -1) {
+                mc.font.render(this.texturePack.manifest.getName(), x + this.xPos + this.height + 2, y + this.yPos + 1).call();
+                mc.font.render(this.texturePack.manifest.getDescriptionLine1(), x + this.xPos + this.height + 2, y + this.yPos + 12).setColor(0x808080).call();
+                mc.font.render(this.texturePack.manifest.getDescriptionLine2(), x + this.xPos + this.height + 2, y + this.yPos + 22).setColor(0x808080).call();
+            } else if (format == -1) {
                 // Manifest error
-                mc.font.render(Tessellator.instance, TextFormatting.RED + this.texturePack.manifest.getName(), x + this.xPos + this.height + 2, y + this.yPos + 1).call();
-                mc.font.render(Tessellator.instance, this.texturePack.manifest.getDescriptionLine1(), x + this.xPos + this.height + 2, y + this.yPos + 12).setColor(0x808080).call();
-                mc.font.render(Tessellator.instance, this.texturePack.manifest.getDescriptionLine2(), x + this.xPos + this.height + 2, y + this.yPos + 22).setColor(0x808080).call();
+                mc.font.render(TextFormatting.RED + this.texturePack.manifest.getName(), x + this.xPos + this.height + 2, y + this.yPos + 1).call();
+                mc.font.render(this.texturePack.manifest.getDescriptionLine1(), x + this.xPos + this.height + 2, y + this.yPos + 12).setColor(0x808080).call();
+                mc.font.render(this.texturePack.manifest.getDescriptionLine2(), x + this.xPos + this.height + 2, y + this.yPos + 22).setColor(0x808080).call();
                 rgbVersion = Colors.allChatColors[TextFormatting.RED.id].getARGB();
-            }else {
+            } else {
                 // Wrong texture pack version
                 I18n i18n = I18n.getInstance();
-                mc.font.render(Tessellator.instance, TextFormatting.RED + this.texturePack.manifest.getName(), x + this.xPos + this.height + 2, y + this.yPos + 1).call();
-                mc.font.render(Tessellator.instance, i18n.translateKey("gui.options.page.asset_packs.label.outdated_pack.1"), x + this.xPos + this.height + 2, y + this.yPos + 12).setColor(0x808080).call();
-                mc.font.render(Tessellator.instance, i18n.translateKey("gui.options.page.asset_packs.label.outdated_pack.2"), x + this.xPos + this.height + 2, y + this.yPos + 22).setColor(0x808080).call();
+                mc.font.render(TextFormatting.RED + this.texturePack.manifest.getName(), x + this.xPos + this.height + 2, y + this.yPos + 1).call();
+                mc.font.render(i18n.translateKey("gui.options.page.asset_packs.label.outdated_pack.1"), x + this.xPos + this.height + 2, y + this.yPos + 12).setColor(0x808080).call();
+                mc.font.render(i18n.translateKey("gui.options.page.asset_packs.label.outdated_pack.2"), x + this.xPos + this.height + 2, y + this.yPos + 22).setColor(0x808080).call();
                 rgbVersion = Colors.allChatColors[TextFormatting.RED.id].getARGB();
             }
 
-            if (isHovered(mouseX, mouseY, width) && component.draggedButton == null && texturePack != mc.texturePackList.getDefaultTexturePack()){
-                button.drawButton(mc, mouseX + x, mouseY + y);
-                x -= button.width + 3;
+            if (isHovered(mouseX, mouseY, width) && component.draggedButton == null && this.texturePack != mc.texturePackList.getDefaultTexturePack()) {
+                this.button.drawButton(mc, mouseX + x, mouseY + y);
+                x -= this.button.width + 3;
             }
 
-            String version = texturePack.manifest.getPackVersion();
+            String version = this.texturePack.manifest.getPackVersion();
             int versionWidth = mc.font.stringWidth(version);
-            mc.font.render(Tessellator.instance, this.texturePack.manifest.getPackVersion(), x + this.xPos + width - versionWidth - 2, y + this.yPos + 1).setColor(rgbVersion).call();
+            mc.font.render(this.texturePack.manifest.getPackVersion(), x + this.xPos + width - versionWidth - 2, y + this.yPos + 1).setColor(rgbVersion).call();
         }
-        public void setupButton(int x, int y, int width, int mouseX, int mouseY){
-            button.setX(x + xPos + width - button.width - 1);
-            button.setY(y + yPos + (height - button.height)/2);
+
+        public void setupButton(int x, int y, int width, int mouseX, int mouseY) {
+            this.button.setX(x + this.xPos + width - this.button.width - 1);
+            this.button.setY(y + this.yPos + (this.height - this.button.height) / 2);
         }
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/components/ShortcutComponent.java b/game/client/src/main/java/net/minecraft/client/gui/options/components/ShortcutComponent.java
index 32a65fc02..f392a5378 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/components/ShortcutComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/components/ShortcutComponent.java
@@ -2,8 +2,10 @@ package net.minecraft.client.gui.options.components;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
+import net.minecraft.client.gui.options.ScreenOptions;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.sound.SoundCategory;
+import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
 public class ShortcutComponent
@@ -33,7 +35,7 @@ public class ShortcutComponent
     }
 
     @Override
-    public void render(int x, int y, int width, int relativeMouseX, int relativeMouseY) {
+    public void render(@NotNull ScreenOptions screenOptions, int x, int y, int width, int relativeMouseX, int relativeMouseY) {
         button.xPosition = x + width / 2 - BUTTON_WIDTH / 2;
         button.yPosition = y + COMPONENT_SPACING;
         button.displayString = I18n.getInstance().translateKey(translationKey);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/components/TooltipPickerComponent.java b/game/client/src/main/java/net/minecraft/client/gui/options/components/TooltipPickerComponent.java
index d9f17af7c..3ae3af48c 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/components/TooltipPickerComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/components/TooltipPickerComponent.java
@@ -2,9 +2,9 @@ package net.minecraft.client.gui.options.components;
 
 import net.minecraft.client.gui.TooltipElement;
 import net.minecraft.client.option.OptionTooltip;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.window.CursorShape;
 import org.jetbrains.annotations.Nullable;
-import org.lwjgl.opengl.GL11;
 
 public class TooltipPickerComponent
     extends ToggleableOptionComponent<String> {
@@ -28,7 +28,7 @@ public class TooltipPickerComponent
 
         final int stringWidth = mc.font.stringWidth(this.option.getDisplayStringValue());
         final int stringHeight = mc.font.getFont().fontHeight();
-        GL11.glColor4f(1, 1, 1, 1);
+        GLRenderer.setColor4f(1f, 1f, 1f, 1f);
         this.tooltip.render(this.option.getDisplayStringValue(), x + relativeButtonX + buttonWidth/2 - stringWidth/2, y + relativeButtonY + buttonHeight/2 - stringHeight/2, 0, 0, -1, -1, false);
 
         if (relativeMouseX >= relativeButtonX && relativeMouseX < relativeButtonX + buttonWidth && relativeMouseY >= relativeButtonY && relativeButtonY < relativeButtonY + buttonHeight) {
